|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QAbstractPrintDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QAbstractPrintDialog class reference

### Public Functions

- void addEnabledOption ( PrintDialogOption option ) `(obsolete)`
- PrintDialogOptions enabledOptions () const `(obsolete)`
- bool isOptionEnabled ( PrintDialogOption option ) const `(obsolete)`
- void setEnabledOptions ( PrintDialogOptions options ) `(obsolete)`

- 4 public functions inherited from QDialog
- 3 public functions inherited from QWidget

## Member Function Documentation

### void QAbstractPrintDialog::addEnabledOption ( PrintDialogOption option )

Use QPrintDialog::setOption(option, true) instead.

### PrintDialogOptions QAbstractPrintDialog::enabledOptions () const

Use QPrintDialog::options() instead.

See also setEnabledOptions().

### bool QAbstractPrintDialog::isOptionEnabled ( PrintDialogOption option ) const

Use QPrintDialog::testOption(option) instead.

### void QAbstractPrintDialog::setEnabledOptions ( PrintDialogOptions options )

Use QPrintDialog::setOptions() instead.

See also enabledOptions().